package com.goafanti.common.dao;

import com.goafanti.Interview.bo.selectByUidAidBo;
import com.goafanti.common.model.UserArchivesInterview;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 客户档案面谈表(UserArchivesInterview)表数据库访问层
 *
 * @author makejava
 * @since 2025-04-10 17:06:17
 */
public interface UserArchivesInterviewMapper {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    UserArchivesInterview selectById(Integer id);


    /**
     * 查询指定行数据
     *
     * @param userArchivesInterview 查询条件
     * @return 对象列表
     */
    List<UserArchivesInterview> findUserArchivesInterviewList(UserArchivesInterview userArchivesInterview);

    /**
     * 统计总行数
     *
     * @param userArchivesInterview 查询条件
     * @return 总行数
     */
    int findUserArchivesInterviewCount(UserArchivesInterview userArchivesInterview);

    /**
     * 新增数据
     *
     * @param userArchivesInterview 实例对象
     * @return 影响行数
     */
    int insert(UserArchivesInterview userArchivesInterview);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<UserArchivesInterview> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<UserArchivesInterview> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<UserArchivesInterview> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<UserArchivesInterview> entities);

    /**
     * 修改数据
     *
     * @param userArchivesInterview 实例对象
     * @return 影响行数
     */
    int update(UserArchivesInterview userArchivesInterview);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Integer id);
    List<selectByUidAidBo> selectByUidAid(@Param("uid") String uid, @Param("aid") String aid);

    List<UserArchivesInterview> selectByIds(String[] split1);

    UserArchivesInterview selectByPrdid(Integer prdid);

}

